### Method

# Gio ThemedIcon append_name

#### Declaration

    void
    g_themed_icon_append_name (
      GThemedIcon* icon,
      const char* iconname
    )

#### Description

Append a name to the list of icons from within `icon`.

Note that doing so invalidates the hash computed by prior calls to g_icon_hash().

#### Parameters

`iconname`

  Type: `const char*`

  Name of icon to append to list of icons from within `icon`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.